org.apache.hc.client5.http

## Enum RouteInfo.TunnelType

- java.lang.Object
- - java.lang.Enum<RouteInfo.TunnelType>
  - - org.apache.hc.client5.http.RouteInfo.TunnelType

All Implemented Interfaces:
  Serializable, Comparable<RouteInfo.TunnelType>

Enclosing interface:
  RouteInfo

    public static enum RouteInfo.TunnelType
    extends Enum<RouteInfo.TunnelType>

The tunnelling type of a route. Plain routes are established by connecting to the target or the first proxy. Tunnelled routes are established by connecting to the first proxy and tunnelling through all proxies to the target. Routes without a proxy cannot be tunnelled.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`PLAIN`
`TUNNELLED`

### Method Summary

All Methods Static Methods Concrete Methods
`static RouteInfo.TunnelType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RouteInfo.TunnelType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PLAIN

    public static final RouteInfo.TunnelType PLAIN

#### TUNNELLED

    public static final RouteInfo.TunnelType TUNNELLED

### Method Detail

#### values

    public static RouteInfo.TunnelType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RouteInfo.TunnelType c : RouteInfo.TunnelType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RouteInfo.TunnelType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null